Package org.apache.commons.math3.linear

# Class SingularOperatorException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.IllegalArgumentException
org.apache.commons.math3.exception.MathIllegalArgumentException
org.apache.commons.math3.linear.SingularOperatorException

All Implemented Interfaces:
  `Serializable`, `ExceptionContextProvider`

public class SingularOperatorException extends MathIllegalArgumentException
Exception to be thrown when trying to invert a singular operator.

Since:
  3.0
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`SingularOperatorException()`
Creates a new instance of this class.

## Method Summary

### Methods inherited from class org.apache.commons.math3.exception.MathIllegalArgumentException

`getContext, getLocalizedMessage, getMessage`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SingularOperatorException

public SingularOperatorException()
Creates a new instance of this class.